Name: libuser
Version: 0.8
Release: 1
Group: System Environment/Base
License: LGPL
Source: libuser-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: krb5-devel, openldap-devel, popt, sgml-tools
Summary: A user account administration library.

%description
The libuser library implements a standardized interface for manipulating
and administering user accounts.  The library uses pluggable back-ends to
interface to its data sources.

Sample applications modeled after those included with the shadow password
suite are included.

%package devel
Group: Development/Libraries
Summary: Files needed for developing applications which use libuser.
Requires: %{name}-devel = %{version}

%description devel
The libuser-devel package contains header files, static libraries, and .la
files useful for developing applications with libuser.

%prep
%setup -q

%build
%configure
make
make -C docs/sgml

%clean
rm -fr $RPM_BUILD_ROOT

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO docs/*.txt docs/sgml/*.txt docs/sgml/*.html
%config %{_sysconfdir}/libuser.conf
%dir %{_libdir}/libuser
%{_libdir}/libuser.so.*.*
%{_libdir}/libuser/*.so
%{_sbindir}/*

%files devel
%defattr(-,root,root)
%{_includedir}/libuser
%{_libdir}/libuser.a
%{_libdir}/libuser.la
%{_libdir}/libuser.so

%changelog
* Sat Jan 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- add a "quiet" prompter
- add --interactive flag to sample apps and default to using quiet prompter
- ldap: attempt a "self" bind if other attempts fail
- krb5: connect to the password-changing service if the user principal has
  the NULL instance

* Wed Jan 10 2001 Nalin Dahyabhai <nalin@redhat.com>
- the great adding-of-the-copyright-statements
- take more care when creating backup files in the files module

* Wed Jan  3 2001 Nalin Dahyabhai <nalin@redhat.com>
- add openldap-devel as a buildprereq
- krb5: use a continuous connection
- krb5: add "realm" config directive
- ldap: use a continuous connection
- ldap: add "server", "basedn", "binddn", "user", "authuser" config directives
- ldap: actually finish the account deletion function
- ldap: don't send cleartext passwords to the directory
- fix naming attribute for users (should be uid, not gid)
- refine the search-by-id,convert-to-name,search-by-name logic
- fix handling of defaults when the config file is read in but contains no value
- implement an LDAP information store
- try to clean up module naming with libtool
- luseradd: pass plaintext passwords along
- luseradd: use symbolic attribute names instead of hard-coded
- lusermod: pass plaintext passwords along
- lgroupadd: pass plaintext passwords along
- lgroupmod: pass plaintext passwords along
- add libuser as a dependency of libuser-devel

* Tue Jan  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial packaging
